%bcond_without bootstrap

Name:           ibus-table-extraphrase
Version:        1.1.0.20090415
Release:        4%{?dist}
Summary:        Extra phrase for ibus-table
License:        GPLv3+
Group:          System Environment/Libraries
URL:            http://code.google.com/p/ibus/
Source0:        http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# for noarch pkgconfig
BuildRequires:  ibus-table >= 1.1.0.20090220-5
%if %{with bootstrap}
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.2
%endif
Requires(post): ibus-table > 1.1.0

%description
Extra phrase data for IBus-Table engine.

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%if %{with bootstrap}
./autogen.sh \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
%else
%configure \
%endif

#    --enable-extraphrase
make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
make install \
  DESTDIR=%{buildroot} \
  INSTALL="install -p" \
  pkgconfigdir=%{_datadir}/pkgconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/pkgconfig/ibus-table-extraphrase.pc
%{_datadir}/ibus-table/data/extra_phrase.txt

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.20090415-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090415-3.fc11
- Updated desciption.

* Wed Apr 15 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090415-2.fc11
- Removed invalid verification bypass of extra_phrase.txt.
- Refined spec file.

* Wed Apr 15 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090415-1.fc11
- Updated to latest source from upstream.

* Tue Apr 14 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090406-3.fc11
- Relocated pkgconfig spec file to /usr/share/pkgconfig.

* Wed Apr 08 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090406-2.fc11
- Fixed wrong libdir of pkgconfig spec file.

* Mon Apr 06 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090406-1.fc11
- Update to the latest source tarball.
- Added ChangeLog to be doc.

* Tue Mar 31 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090327-2.fc11
- Corrected extra_phrase.txt installation destination.
- Update license tag to GPLv3+.

* Mon Mar 27 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090327-1.fc11
- Resolves: rhbz#488175
- Splited from ibus-table.
